package com.lovecoding.day19.ex02;

import org.junit.Test;

import java.util.*;

public class TestStudent {

    //（1）创建HashMap对象，泛型为<String, ArrayList<String>>，
    //（2）存储咱们班每组学员信息，组长姓名为key，组员们的姓名（包括组长自己）为value
    //（2）遍历显示每一个小组信息
    //（3）从键盘输入一个学员姓名，查找这个学员是否咱们班

    @Test
    public void test01(){
        //（1）创建HashMap对象，泛型为<String, ArrayList<String>>，
        HashMap<String, ArrayList<String>> map = new HashMap<>();

        //创建组员集合
        ArrayList<String> list1 = new ArrayList<>();
        list1.add("高启强");
        list1.add("高启盛");
        list1.add("高启兰");

        //存储咱们班每组学员信息，组长姓名为key，组员们的姓名（包括组长自己）为value
        map.put("高启强",list1);

        //创建组员集合
        ArrayList<String> list2 = new ArrayList<>();
        list2.add("安心");
        list2.add("小五");
        list2.add("李响");

        //存储咱们班每组学员信息，组长姓名为key，组员们的姓名（包括组长自己）为value
        map.put("安心",list2);

        //遍历显示每一个小组信息
        Set<Map.Entry<String, ArrayList<String>>> entries = map.entrySet();
        //输出组信息
        for (Map.Entry<String, ArrayList<String>> entry : entries) {
            System.out.print("组长："+entry.getKey());
            ArrayList<String> value = entry.getValue();
            //拼接
            StringBuffer sb = new StringBuffer();
            for (String s : value) {
                sb.append(s).append(", ");
            }
            System.out.print(" 组员："+ sb.toString()  );

            System.out.println();
        }

        //合并两个组
        list1.addAll(list2);

        String s =  "安心";

        System.out.println(list1.contains(s));

        //遍历所有的 value中的 元素 添加到一个集合里面。

    }
}
